Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.wpi.first.wpilibj.fpga
Class tSolenoid

    java.lang.Object
      edu.wpi.first.wpilibj.fpga.tSystem
          edu.wpi.first.wpilibj.fpga.tSolenoid

All Implemented Interfaces:
  ExpectedFPGASignature

    public class tSolenoid

extends tSystem

Field Summary
`static int` | `kDO7_0_ElementMask`
`static int` | `kDO7_0_ElementSize`
`static int` | `kDO7_0_NumElements`
`static int` | `kNumSystems`

Fields inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`m_DeviceHandle, status`

Fields inherited from interface edu.wpi.first.wpilibj.fpga.ExpectedFPGASignature
`kBitfileName, kExpectedFPGARevision, kExpectedFPGASignature, kExpectedFPGASignatureStr, kExpectedFPGAVersion`

Constructor Summary
`tSolenoid()`

Method Summary
`protected void` | `finalize()`
`static short` | `readDO7_0(int bitfield_index)`
`static void` | `writeDO7_0(int bitfield_index, int value)`

Methods inherited from class edu.wpi.first.wpilibj.fpga.tSystem
`getFpgaGuid, Release`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kNumSystems

    public static final int kNumSystems

See Also:
  Constant Field Values

### kDO7_0_NumElements

    public static final int kDO7_0_NumElements

See Also:
  Constant Field Values

### kDO7_0_ElementSize

    public static final int kDO7_0_ElementSize

See Also:
  Constant Field Values

### kDO7_0_ElementMask

    public static final int kDO7_0_ElementMask

See Also:
  Constant Field Values

Constructor Detail

### tSolenoid

    public tSolenoid()

Method Detail

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `tSystem`

### writeDO7_0

    public static void writeDO7_0(int bitfield_index,
                                  int value)

### readDO7_0

    public static short readDO7_0(int bitfield_index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"